### Method

# Shumate VectorSpriteSheet get_sprite

since: 1.1

#### Declaration [src]

    ShumateVectorSprite*
    shumate_vector_sprite_sheet_get_sprite (
      ShumateVectorSpriteSheet* self,
      const char* name,
      double scale
    )

#### Description [src]

Gets a sprite from the spritesheet.

The returned sprite might not be at the requested scale factor if an exact match is not found.

Available since: 1.1

#### Parameters

`name`

  Type: `const char*`

  An icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`scale`

  Type: `double`

  The scale factor of the icon.

#### Return value

Type: `ShumateVectorSprite`

A `ShumateVectorSprite`, or `NULL` if the icon does not exist.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.